#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.4
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		dolphin
Summary:	File manager
Name:		ka5-%{kaname}
Version:	23.08.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	93f96b87c6f518ef66609c7bbf93b894
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.20
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kbookmarks-devel >= %{kframever}
BuildRequires:	kf5-kcmutils-devel >= %{kframever}
BuildRequires:	kf5-kcompletion-devel >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kdelibs4support-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-kemoticons-devel >= %{kframever}
BuildRequires:	kf5-kguiaddons-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kinit-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-kitemmodels-devel >= %{kframever}
BuildRequires:	kf5-knewstuff-devel >= %{kframever}
BuildRequires:	kf5-knotifications-devel >= %{kframever}
BuildRequires:	kf5-knotifyconfig-devel >= %{kframever}
BuildRequires:	kf5-kparts-devel >= %{kframever}
BuildRequires:	kf5-kpty-devel >= %{kframever}
BuildRequires:	kf5-kservice-devel >= %{kframever}
BuildRequires:	kf5-ktextwidgets-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kwindowsystem-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	ruby-test-unit
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dolphin is a lightweight file manager. It has been designed with ease
of use and simplicity in mind, while still allowing flexibility and
customisation. This means that you can do your file management exactly
the way you want to do it.

Features

• Navigation (or breadcrumb) bar for URLs, allowing you to quickly
navigate through the hierarchy of files and folders. • Supports
several different kinds of view styles and properties and allows you
to configure the view exactly how you want it. • Split view,
allowing you to easily copy or move files between locations. •
Additional information and shortcuts are available as dock-able
panels, allowing you to move them around freely and display exactly
what you want. • Multiple tab support • Informational dialogues
are displayed in an unobtrusive way. • Undo/redo support •
Transparent network access through the KIO system.

%description -l pl.UTF-8
Dolphin to lekki zarządca plików. Zaprojektowany jako łatwy w
użyciu, choć zapewniający elastyczność i możliwości
konfiguracji. To znaczy, że możesz go używać dokładnie, tak
jakbyś chciał.

Cechy

• Pasek nawigacyjny dla URLi pozwalający na szybkie przemieszczanie
się wśród hierarchi plików i folderów • Wspiera wiele różnych
rodzajów przeglądania plików pozwalając skonfigurować podgląd
tak jak sobie tego życzysz • Podzielony widok do łatwego
kopiowania i przenoszenia plików między lokacjami • Dodatkowe
informacje i skróty klawiszowe są dostępne jako dokowalne panele,
pozwalając przemieszczać się do woli i wyświetlać to co chcesz
• Wiele kart • Informacyjne okna dialogowe nie drażnią
użytkownika • Wsparcie dla Cofnij/Powtórz • Przeźroczysty
dostęp do sieci korzystający z systemu KIO.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cmake >= 2.6.0

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
RUBYLIB=%{_datadir}/gems/gems/test-unit-3.2.3/lib
export RUBYLIB
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/sr
rm -rf $RPM_BUILD_ROOT%{_localedir}/ie
%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dolphin
%attr(755,root,root) %{_bindir}/servicemenuinstaller
%ghost %{_libdir}/libdolphinprivate.so.5
%{_libdir}/libdolphinprivate.so.5.*.*
%ghost %{_libdir}/libdolphinvcs.so.5
%{_libdir}/libdolphinvcs.so.5.*.*
%{_desktopdir}/org.kde.dolphin.desktop
%{_datadir}/config.kcfg/dolphin_compactmodesettings.kcfg
%{_datadir}/config.kcfg/dolphin_detailsmodesettings.kcfg
%{_datadir}/config.kcfg/dolphin_directoryviewpropertysettings.kcfg
%{_datadir}/config.kcfg/dolphin_generalsettings.kcfg
%{_datadir}/config.kcfg/dolphin_iconsmodesettings.kcfg
%{_datadir}/config.kcfg/dolphin_versioncontrolsettings.kcfg
%{_datadir}/dbus-1/interfaces/org.freedesktop.FileManager1.xml
%{_datadir}/dbus-1/services/org.kde.dolphin.FileManager1.service
%{_datadir}/metainfo/org.kde.dolphin.appdata.xml
%{_datadir}/kglobalaccel/org.kde.dolphin.desktop
%{_datadir}/qlogging-categories5/dolphin.categories
%{_datadir}/knsrcfiles/servicemenu.knsrc
%{systemduserunitdir}/plasma-dolphin.service
%{_libdir}/qt5/plugins/kf5/parts/dolphinpart.so
%{_datadir}/config.kcfg/dolphin_contextmenusettings.kcfg
%dir %{_libdir}/qt5/plugins/dolphin
%dir %{_libdir}/qt5/plugins/dolphin/kcms
%{_libdir}/qt5/plugins/dolphin/kcms/kcm_dolphingeneral.so
%{_libdir}/qt5/plugins/dolphin/kcms/kcm_dolphinnavigation.so
%{_libdir}/qt5/plugins/dolphin/kcms/kcm_dolphinviewmodes.so
%{_datadir}/kconf_update/dolphin_detailsmodesettings.upd
%dir %{_datadir}/dolphin
%{_datadir}/dolphin/dolphinpartactions.desktop
%{zsh_compdir}/_dolphin
%{_datadir}/config.kcfg/dolphin_contentdisplaysettings.kcfg

%files devel
%defattr(644,root,root,755)
%{_libdir}/libdolphinvcs.so
%{_includedir}/Dolphin
%{_includedir}/dolphin_export.h
%{_includedir}/dolphinvcs_export.h
%{_libdir}/cmake/DolphinVcs
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-dolphin.git;a=log;h=master

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> aeaf78d
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> cb041ec
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c79601b
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c29bb45
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 725a619
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a9e6865
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 83f50a5
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a1ad872
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 6fb82bb
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 286f73a
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 801e62f
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f6a9cbd
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8d73c6c
- updated to 22.12.1

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 165593a
- rebuild against QT 5.15.8

* Fri Dec 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7803d2e
- relup

* Fri Dec 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 351ae33
- typo

* Fri Dec 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ab4feb9
- removing unsupported locale: ie

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a830097
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6d94820
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0ea87e3
- updated to 22.08.2

